Get MCP Catalog Item
curl --request GET \
--url https://app.splox.io/api/v1/mcp-catalog/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.splox.io/api/v1/mcp-catalog/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.splox.io/api/v1/mcp-catalog/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mcp_server": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"transport_type": "<string>",
"auth_type": "<string>",
"is_featured": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"auth_config": {},
"image_url": "<string>",
"category": "<string>",
"display_order": 123
}
}MCP
Get MCP Catalog Item
Returns one MCP catalog item by ID.
GET
/
mcp-catalog
/
{id}
Get MCP Catalog Item
Retrieves one MCP catalog item by ID.
Usage
curl "https://app.splox.io/api/v1/mcp-catalog/YOUR_CATALOG_ID" \
-H "Authorization: Bearer YOUR_TOKEN"
from splox import SploxClient
client = SploxClient(api_key="YOUR_API_KEY")
item = client.mcp.get_catalog_item("YOUR_CATALOG_ID")
print(item.name, item.auth_type)
import Splox from "splox";
const client = new Splox("YOUR_API_KEY");
const item = await client.mcp.getCatalogItem("YOUR_CATALOG_ID");
console.log(item.name, item.auth_type);
item, err := client.MCP.GetCatalogItem(ctx, "YOUR_CATALOG_ID")
if err != nil {
panic(err)
}
fmt.Println(item.Name, item.AuthType)
Authorizations
API token generated from your Splox account settings. Create tokens at https://app.splox.io/account?tab=settings
Path Parameters
MCP catalog item ID
Response
Catalog item retrieved successfully
Show child attributes
Show child attributes
⌘I

